@font-face {
    font-family: 'Neo Sans';
    src: url('../fonts/Neo Sans Std Regular.otf') format('woff');
}


.background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../catedral.png');
    background-size: cover;
    background-position: center;
    z-index: -1; /* Asegúrate de que el fondo esté detrás del contenido */
}

body {
    font-family: 'Neo Sans', Arial, serif;
}

.root {
    position: relative;
    z-index: 1; /* El contenido debe estar por delante del fondo */
    padding: 20px;
}


.fit-content {
    width: fit-content;
    margin: 2rem;
}

.term-condition {
    display: flex;
    justify-content: center;
}

.header-text {
    color: white;
    text-align: center;
}

.column {
    flex: 1;
    padding: 20px;
    text-align: center;
    height: 100%; /* Make columns take full height of the container */

}

.images-column {
    display: flex;
    flex-direction: column;
    justify-content: center; /* Vertically center */
    align-items: center; /* Horizontally center */
}

.centered-image {
    max-width: 80%;
    margin-bottom: 20px; /* Space between the images */
}

.form-container {

    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
    height: fit-content; /* Center the form vertically */
    width: 500px;
    background: white;
    opacity: 0.85;
    box-shadow: gray 5px 5px 5px;
    border-radius: 8px;

}

.form-column {
    display: flex;
    justify-content: center;

}


.form-wrap-input{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin: 1.5rem;
}

.form-input {
    border: gray 1px solid;
    border-radius: 10px;
}

.form-control{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 5px;
    text-align: left;
}

.form-container > *{
    display: block;
    width: 100%;
}
label{
    color: black;
}

.form-input-file {
    color: black;
    width: 100%;
}

.form-select {
    border: gray 1px solid;
    border-radius: 10px;
}

input, select, textarea, button {
    margin-bottom: 15px;
    padding: 10px;


}

.form-button {
    border-radius: 4px;
    box-shadow: 2px 2px 2px gray;
}

.term-condition-button {
    border-radius: 4px;
    box-shadow: 2px 2px 2px black;
}

.term-condition-button:hover {
    transform: translateY(-3px);
    transition: all 0.1s ease-in-out;
    box-shadow: 5px 5px 5px black;
}

.form-button:hover {
    transform: translateY(-3px);
    transition: all 0.1s ease-in-out;
    box-shadow: 5px 5px 5px darkgray;
}

textarea {
    height: 100px;
    resize: none;
}

button {
    background-color: #d8262f;
    color: white;
    border: none;
    cursor: pointer;
}

.participate {
    display: flex;
    justify-content: center;
}

.participate-text {
    max-width: 425px;
    color: white;
    font-size: large;
    text-align: center;
}

.subscribe-container {
    display: flex;
    flex-direction: column;
    background: white;
    max-width: 1080px;
    opacity: 0.8;
    margin: 0 auto;
    border-radius: 10px;
    padding: 1rem;
}

.subscribe-container h1, h3 {
    color: red;
}

.subscribe-container h1 {
    text-align: center;
}

.winner-container {
    display: flex;
    justify-content: space-between;
}

p {
    color: black;
}

/* Responsive Design for mobile */
@media (max-width: 1180px) {
    .subscribe-container{
        width: 300px;
    }

    .winner-container {
        flex-direction: column;
        align-items: center;
    }
}

@media (max-width: 500px) {
    .form-container{
        width: 300px;
    }
}


@media (min-width: 700px) {
    .background {
        background-image: url('../catedral-3xl.png');
        background-size: cover;
        background-position: center;
    }
}
